ResourcePermission.Operation (Apache Geode 1.15.4)

org.apache.geode.security

## Enum ResourcePermission.Operation

- java.lang.Object
- - java.lang.Enum<ResourcePermission.Operation>
  - - org.apache.geode.security.ResourcePermission.Operation

- All Implemented Interfaces:
    Serializable, Comparable<ResourcePermission.Operation>
  Enclosing class:
    ResourcePermission

      public static enum ResourcePermission.Operation
      extends Enum<ResourcePermission.Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `MANAGE`
    `NULL`
    `READ`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static ResourcePermission.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourcePermission.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ResourcePermission.Operation ALL

    - #### NULL

          public static final ResourcePermission.Operation NULL

    - #### MANAGE

          public static final ResourcePermission.Operation MANAGE

    - #### WRITE

          public static final ResourcePermission.Operation WRITE

    - #### READ

          public static final ResourcePermission.Operation READ

  - ### Method Detail

    - #### values

          public static ResourcePermission.Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourcePermission.Operation c : ResourcePermission.Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourcePermission.Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()